xGSEAdotplot | R Documentation

## Function to visualise GSEA results using dot plot

### Description

`xGSEAdotplot` is supposed to visualise GSEA results using dot plot. It returns an object of class "ggplot" or a list of "ggplot" objects.

### Usage

    xGSEAdotplot(eGSEA, top = 1, priority.color = c("lightyellow",
    "orange"),
    peak = TRUE, compact = FALSE, signature = TRUE)

### Arguments

`eGSEA` | an object of class "eGSEA"
`top` | the number of the top enrichments to be visualised. Alternatively, the gene set names can be queried
`priority.color` | a character vector for coloring priority scores
`peak` | logical to indicate whether the peak info of leading genes is labelled
`compact` | logical to indicate whether the compact/void theme is used. If TRUE, axes and legend info will be hidden
`signature` | logical to indicate whether the signature is assigned to the plot caption. By default, it sets TRUE showing which function is used to draw this graph

### Value

an object of class "ggplot" or a list of "ggplot" objects.

### Note

none

### See Also

`xPierGSEA`

### Examples

    ## Not run:
    # Load the library
    library(Pi)

    ## End(Not run)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata_dev"
    ## Not run:
    gp <- xGSEAdotplot(eGSEA, top=1)
    #gp <- xGSEAdotplot(eGSEA, top=1, peak=FALSE, compact=TRUE, signature=FALSE)
    gp

    ls_gp <- xGSEAdotplot(eGSEA, top=1:4, signature=FALSE)
    library(gridExtra)
    grid.arrange(grobs=ls_gp, ncol=2)

    ## End(Not run)